# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

### [0.1.15](https://gitlab.com/dotdevv/packages/shopify-client/compare/v0.1.14...v0.1.15) (2022-12-22)

### Bug Fixes

- add WebhookOrdersUpdateAttributes ([28dd5fb](https://gitlab.com/dotdevv/packages/shopify-client/commit/28dd5fb4451a859eff151093046ce5e78c508c22))

### [0.1.14](https://gitlab.com/dotdevv/packages/shopify-client/compare/v0.1.13...v0.1.14) (2022-12-22)

### Bug Fixes

- fix incorrect field names on WebhookOrderPayload ([1f77318](https://gitlab.com/dotdevv/packages/shopify-client/commit/1f7731897d6fda570610386a97f1cb7c191fa207))

### [0.1.13](https://gitlab.com/dotdevv/packages/shopify-client/compare/v0.1.12...v0.1.13) (2022-12-20)

### [0.1.12](https://gitlab.com/dotdevv/packages/shopify-client/compare/v0.1.11...v0.1.12) (2022-12-14)

### Bug Fixes

- incorrect header for order webhook ([ab93284](https://gitlab.com/dotdevv/packages/shopify-client/commit/ab93284c5428f92cec01c08fe770733398128dfb))

### [0.1.11](https://gitlab.com/dotdevv/packages/shopify-client/compare/v0.1.10...v0.1.11) (2022-05-06)

### Features

- update webhook payloads to include metafield property ([f38274e](https://gitlab.com/dotdevv/packages/shopify-client/commit/f38274ea0c8c4f26c8ddb8bf40113223499be06e))

### [0.1.10](https://gitlab.com/dotdevv/packages/shopify-client/compare/v0.1.9...v0.1.10) (2022-01-12)

### Bug Fixes

- add new product webhook types to union ([8a6a33f](https://gitlab.com/dotdevv/packages/shopify-client/commit/8a6a33f9ab5c6f7c9228fb9bb17fd1e4009da01e))

### [0.1.9](https://gitlab.com/dotdevv/packages/shopify-client/compare/v0.1.8...v0.1.9) (2022-01-12)

### Features

- add webhook types for product topics ([2daef94](https://gitlab.com/dotdevv/packages/shopify-client/commit/2daef949eccb0c2b14356dd15c6ee536af997e24))

### [0.1.8](https://gitlab.com/dotdevv/packages/shopify-client/compare/v0.1.7...v0.1.8) (2022-01-12)

### Bug Fixes

- add missing types to webhook attributes union ([9de0a42](https://gitlab.com/dotdevv/packages/shopify-client/commit/9de0a4278418715261660e9d77d0a0f5ea986c9b))

### [0.1.7](https://gitlab.com/dotdevv/packages/shopify-client/compare/v0.1.6...v0.1.7) (2022-01-12)

### Features

- add collection webhook types ([ac86be1](https://gitlab.com/dotdevv/packages/shopify-client/commit/ac86be115d508bcce10c6247b7b1a9cb0423847b))

### [0.1.6](https://gitlab.com/dotdevv/packages/shopify-client/compare/v0.1.5...v0.1.6) (2022-01-12)

### Features

- internal client and webhook subscriber utility ([47bce9f](https://gitlab.com/dotdevv/packages/shopify-client/commit/47bce9f6f74e96956f446e6051181936fc8fb66e))

### [0.1.5](https://gitlab.com/dotdevv/packages/shopify-client/compare/v0.1.4...v0.1.5) (2021-05-18)

### Features

- handle 502 bad gateway response like a throttle response ([6d84910](https://gitlab.com/dotdevv/packages/shopify-client/commit/6d84910c437b8dfbdfe82c34bdac5e87d42aaae5))

### [0.1.4](https://gitlab.com/dotdevv/packages/shopify-client/compare/v0.1.3...v0.1.4) (2021-05-17)

### Features

- handle throttle responses with retry and backoff ([ac24500](https://gitlab.com/dotdevv/packages/shopify-client/commit/ac24500aea18ca5598b02f43819ac1ade0fc02f3))

### Bug Fixes

- double slash in api endpoint url ([f3d9242](https://gitlab.com/dotdevv/packages/shopify-client/commit/f3d9242232723482a0a100c6f3ed40a6c9290c3a))

### [0.1.3](https://gitlab.com/dotdevv/packages/shopify-client/compare/v0.1.2...v0.1.3) (2021-03-30)

### Features

- add shopDomain and apiVersion options ([aa2f6c6](https://gitlab.com/dotdevv/packages/shopify-client/commit/aa2f6c6ebf78b68fe6dacf6d14ab7f8699c8af1f))

### [0.1.2](https://gitlab.com/dotdevv/packages/shopify-client/compare/v0.1.1...v0.1.2) (2021-03-30)

### 0.1.1 (2021-03-30)

### Bug Fixes

- add graphql peer dependency ([d8d7461](https://gitlab.com/dotdevv/packages/shopify-client/commit/d8d7461d37428c32384474fc2294698240226361))
